
#logger = goog.debug.Logger.getLogger 'goog.net.BrowserChannel'
#logger.setLevel goog.debug.Logger.Level.FINER
#logger.addHandler (msg) -> console.log msg.getMessage()

handler = new goog.net.BrowserChannel.Handler()

handler.channelOpened = (channel) =>
	document.body.innerHTML += '<p>Connected</p>'

errors =
	2: 'request failed'
	6: 'unknown session id'

handler.channelError = (channel, error) =>
	error = errors[error] if errors[error]
	document.body.innerHTML += "<p>Channel error: #{error}</p>"

handler.channelClosed = (channel, pendingMaps, undeliveredMaps) =>
	document.body.innerHTML += "<p>Disconnected</p>"

	setTimeout (-> connect()), 3000

handler.channelHandleArray = (channel, msg) =>
	console.log "channelHandleArray #{msg}" if console?
	document.body.innerHTML += "<p>#{msg.date}</p>"

channel = null

# Send the time down the channel every 5 seconds
setInterval ->
		if channel != null and channel.getState() is goog.net.BrowserChannel.State.OPENED
			document.body.innerHTML += '<p>send</p>'
			channel.sendMap {date:(new Date()).toString()}
			console.log "sendMap" if console?

	, 5000

#@listen (msg) ->
#	return unless channel?
#	channel.sendMap {_JSON: JSON.stringify(msg)} unless msg.local

connect = ->
	if channel
		oldChannel = channel
		channel.disconnect()

	channel = new goog.net.BrowserChannel '1'
	channel.setHandler handler
	channel.setChannelDebug(new goog.net.ChannelDebug())

	if oldChannel
		channel.connect 'channel/test', 'channel/bind', null, oldChannel.getSessionId(), oldChannel.getLastArrayId()
	else
		channel.connect 'channel/test', 'channel/bind', null


connect()
