(function() {
  var channel, connect, errors, handler;
  var __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };
  handler = new goog.net.BrowserChannel.Handler();
  handler.channelOpened = __bind(function(channel) {
    return document.body.innerHTML += '<p>Connected</p>';
  }, this);
  errors = {
    2: 'request failed',
    6: 'unknown session id'
  };
  handler.channelError = __bind(function(channel, error) {
    if (errors[error]) {
      error = errors[error];
    }
    return document.body.innerHTML += "<p>Channel error: " + error + "</p>";
  }, this);
  handler.channelClosed = __bind(function(channel, pendingMaps, undeliveredMaps) {
    document.body.innerHTML += "<p>Disconnected</p>";
    return setTimeout((function() {
      return connect();
    }), 3000);
  }, this);
  handler.channelHandleArray = __bind(function(channel, msg) {
    if (typeof console !== "undefined" && console !== null) {
      console.log("channelHandleArray " + msg);
    }
    return document.body.innerHTML += "<p>" + msg.date + "</p>";
  }, this);
  channel = null;
  setInterval(function() {
    if (channel !== null && channel.getState() === goog.net.BrowserChannel.State.OPENED) {
      document.body.innerHTML += '<p>send</p>';
      channel.sendMap({
        date: (new Date()).toString()
      });
      if (typeof console !== "undefined" && console !== null) {
        return console.log("sendMap");
      }
    }
  }, 5000);
  connect = function() {
    var oldChannel;
    if (channel) {
      oldChannel = channel;
      channel.disconnect();
    }
    channel = new goog.net.BrowserChannel('1');
    channel.setHandler(handler);
    channel.setChannelDebug(new goog.net.ChannelDebug());
    if (oldChannel) {
      return channel.connect('channel/test', 'channel/bind', null, oldChannel.getSessionId(), oldChannel.getLastArrayId());
    } else {
      return channel.connect('channel/test', 'channel/bind', null);
    }
  };
  connect();
}).call(this);
