@robot "bconnectrix"

#logger = goog.debug.Logger.getLogger 'goog.net.BrowserChannel'

#logger.setLevel goog.debug.Logger.Level.FINER
#logger.addHandler (msg) -> console.log msg.getMessage()

handler = new goog.net.BrowserChannel.Handler()

handler.channelOpened = (channel) =>
	@transmit 'build message', textclass: 'status', text: 'Connected'

errors =
	2: 'request failed'
	6: 'unknown session id'

handler.channelError = (channel, error) =>
	error = errors[error] if errors[error]
	@transmit 'build message', textclass: 'status', text: "Channel error: #{error}"

handler.channelClosed = (channel, pendingMaps, undeliveredMaps) =>
	@transmit 'build message', textclass: 'status', text: 'Disconnected'

	setTimeout (-> connect()), 3000

handler.channelHandleArray = (channel, msg) =>
	msg = JSON.parse msg._JSON
	@sendRaw msg unless msg.local

channel = null

@listen (msg) ->
	return unless channel?
	channel.sendMap {_JSON: JSON.stringify(msg)} unless msg.local

connect = ->
	if channel
		oldChannel = channel
		channel.disconnect()

	channel = new goog.net.BrowserChannel '1'
	channel.setHandler handler
	channel.setChannelDebug(new goog.net.ChannelDebug())

	if oldChannel
		channel.connect 'channel/test', 'channel/bind', null, oldChannel.getSessionId(), oldChannel.getLastArrayId()
	else
		channel.connect 'channel/test', 'channel/bind', null

setTimeout (-> connect()), 1000

#channel.sendMap({a:3, b:55});
#channel.sendMap({c:3, z_q:'xas=df'});

#party = io.connect 'http://localhost:4321'
#party.on 'message', (msg) => @sendRaw msg if msg? and not msg.local
#@listen (msg) -> party.json.send msg unless msg.local
